<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<link rel="STYLESHEET" href="mailman-install.css" type='text/css' />
<link rel="first" href="mailman-install.html" title='GNU mailman - installation Manual' />
<link rel='last' href='about.html' title='About this document...' />
<link rel='help' href='about.html' title='About this document...' />
<link rel="next" href="node37.html" />
<link rel="prev" href="qmail-issues.html" />
<link rel="parent" href="qmail-issues.html" />
<link rel="next" href="node37.html" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name='aesop' content='information' />
<title>6.4.1 Information on VERP</title>
</head>
<body>
<div class="navigation">
<div id='top-navigation-panel' xml:id='top-navigation-panel'>
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.4 using the Qmail"
  href="qmail-issues.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.4 using the Qmail"
  href="qmail-issues.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.4.2 virtual mail server"
  href="node37.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="qmail-issues.html">6.4 Using the Qmail</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="qmail-issues.html">6.4 Using the Qmail</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node37.html">6.4.2 Virtual mail server</a>
</div>
<hr /></div>
</div>
<!--End of Navigation Panel-->

<h3><a name="SECTION001641000000000000000">
6.4.1 Information on VERP</a>
</h3>

<p>
You will note in the alias generating script for 2.1 above, there is a line
for VERP that has been commented out.  If you are interested in VERP there are
two options.  The first option is to allow Mailman to do the VERP formatting.
To activate this, uncomment that line and add the following lines to your
<span class="file">mm_cfg.py</span> file:

<p>
<div class="verbatim"><pre>
    VERP_FORMAT = '%(bounces)s-+%(mailbox)s=%(host)s'
    VERP_REGEXP = r'^(?P&lt;bounces&gt;.*?)-\+(?P&lt;mailbox&gt;[^=]+)=(?P&lt;host&gt;[^@]+)@.*$'
</pre></div>
<p>
The second option is a patch on SourceForge located at:

<p>
<a class="url" href="http://sourceforge.net/tracker/?func=detail&amp;atid=300103&amp;aid=645513&amp;group_id=103">http://sourceforge.net/tracker/?func=detail&amp;atid=300103&amp;aid=645513&amp;group_id=103</a>
<p>
This patch currently needs more testing and might best be suitable for
developers or people well familiar with qmail.  Having said that, this patch
is the more qmail-friendly approach resulting in large performance gains.

<p>

<div class="navigation">
<div class='online-navigation'>
<p></p><hr />
<table align="center" width="100%" cellpadding="0" cellspacing="2">
<tr>
<td class='online-navigation'><a rel="prev" title="6.4 using the Qmail"
  href="qmail-issues.html"><img src='previous.png'
  border='0' height='32'  alt='Previous Page' width='32' /></a></td>
<td class='online-navigation'><a rel="parent" title="6.4 using the Qmail"
  href="qmail-issues.html"><img src='up.png'
  border='0' height='32'  alt='Up one Level' width='32' /></a></td>
<td class='online-navigation'><a rel="next" title="6.4.2 virtual mail server"
  href="node37.html"><img src='next.png'
  border='0' height='32'  alt='Next Page' width='32' /></a></td>
<td align="center" width="100%">GNU Mailman - Installation Manual</td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
<td class='online-navigation'><img src='blank.png'
  border='0' height='32'  alt='' width='32' /></td>
</tr></table>
<div class='online-navigation'>
<b class="navlabel">Previous:</b>
<a class="sectref" rel="prev" href="qmail-issues.html">6.4 Using the Qmail</a>
<b class="navlabel">Up:</b>
<a class="sectref" rel="parent" href="qmail-issues.html">6.4 Using the Qmail</a>
<b class="navlabel">Next:</b>
<a class="sectref" rel="next" href="node37.html">6.4.2 Virtual mail server</a>
</div>
</div>
<hr />
<span class="release-info">Release 2.1, documentation updated on August 26, 2016.</span>
</div>
<!--End of Navigation Panel-->

</body>
</html>
